Summary: Russian Charset Conversion Library
Name: librcc
Version: 0.2.3
Release: alt3
License: GPL
Group: System/Libraries
URL: http://rusxmms.sourceforge.net

Source: %name-%version.tar.bz2
Source1: librcc-config.xml

Patch0: librcc-0.2.3-libdb4-perms-bug8752.patch

BuildRequires: gcc-c++ glib-devel glib2-devel gtk+-devel libgtk+2-devel
BuildRequires: libaspell-devel libatk-devel libdb4-devel libenca-devel
BuildRequires: libpango-devel librcd-devel libstdc++-devel libxml2-devel
BuildRequires: pkg-config zlib-devel

%description
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

%package gtk
Group: Development/Other
Summary: Russian Encoding Conversion Library

%description gtk
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK1 bindings

%package gtk2
Group: Development/Other
Summary: Russian Encoding Conversion Library

%description gtk2
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK2 bindings

%package devel
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name = %version-%release

%description devel
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

This package includes headers and shared libraries for development %name-based
applications.

%package devel-static
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name-devel = %version-%release

%description devel-static
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

This package includes static libraries.

%def_disable static

%prep
%setup -q

%patch0 -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}

%make_build
%make -C examples

%install
%make DESTDIR=%buildroot install
%make -C examples DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/rcc/rcc.xml

%__rm -f %buildroot%_bindir/example*
find %buildroot%_libdir/rcc/engines -depth -name \*.la -exec %__rm -f {} \; 

%post
%post_ldconfig
if [ -r %_sysconfdir/sysconfig/i18n ]; then
	LNG=`grep 'LANG=' %_sysconfdir/sysconfig/i18n | sed -ne 's,^\(LANG=\)\([a-z]*\)_.*,\2,p'`
	[ -z "$LNG" ] || subst "s,en,$LNG," %_sysconfdir/rcc/rcc.xml
fi

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README COPYING
%doc examples/rcc-example.xml
%_sysconfdir/rcc
%_libdir/librcc.so.*
%_libdir/librccui.so.*
%_libdir/rcc

%files gtk
%_libdir/librccgtk.so.*
%_bindir/rcc-gtk-config

%files gtk2
%_libdir/librccgtk2.so.*
%_bindir/rcc-gtk2-config

%files devel
%_includedir/*
%_libdir/lib*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sun Dec 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt3
- added librcc-0.2.3-libdb4-perms-bug8752.patch

* Thu Jun 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt2
- fixed #9674

* Sun May 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.2.3-alt1
- cleanup spec
- fixed libdir
- disabled static
- fixed system config

* Sat Mar 25 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.3-alt0.5.1
- Rebuilt with libdb4.4.

* Thu Jan 12 2006 Nick S. Grechukh <gns@altlinux.org> 0.2.3-alt0.5
- new version

* Sat Aug 13 2005 Nick S. Grechukh <gns@altlinux.ru> 0.2.0-alt0.5
- initial build for Sisyphus
